Bug 122101 - Install fails if there are previous "version 0" swap-partitions
Install fails if there are previous "version 0" swap-partitions
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks: 133260
  Show dependency treegraph
 
Reported: 2004-04-30 10:56 EDT by andreasp
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-06-21 08:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description andreasp 2004-04-30 10:56:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7b)
Gecko/20040421

Description of problem:
Install fails when anaconda tries "swapon" and there are already
existing swap-partitions (version 0) from other distributions. The
message was "Please reboot" (or something, sorry, don't remember).

Suggestion:
When anaconda looks for swap-partitions to activate, make sure they
are compatible with the current kernel.
Make anaconda only activate "version 1+" swap-partitions if it finds
any, and if none is found ask to initialize "version 0" swaps and tell
user it might cause a problem with previously installed distributions.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Have an 2.4-based distribution already installed on a system
2. Make sure it has a "version 0" swap-partition
3. Try to install FC2t3
    

Actual Results:  Dialog that asks me to reboot and try installing again.

Expected Results:  Start of package installation 

Additional info:
Comment 1 Jeremy Katz 2004-05-06 18:11:51 EDT
Arjan -- did we lose support for these in the kernel?
Comment 2 Dave Jones 2004-05-07 18:03:43 EDT
Correct.  From http://www.codemonkey.org.uk/docs/post-halloween-2.6.txt

- Version zero swap partitions are no longer supported (everything is
  using v1 now anyway - rerun mkswap if in doubt).
  Linux 2.0.x requires v0 swap space, Linux v2.1.117 and later
  support v1.  mkswap(8) can format swap space in either format.
Comment 3 Jeremy Katz 2004-09-27 15:36:18 EDT
Added support to ignore version 0 swaps.  

Note You need to log in before you can comment on or make changes to this bug.